<?php

$data = $_POST;

$id = $_GET['id'];

$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die ('Erreur de connexion '.mysql_error());

mysql_select_db('smartpassTest2',$db) or die ('Erreur de selection '.mysql_error());

echo'
	 <!DOCTYPE html>
        <head>
          <title>Fiche point</title>
          <link rel="stylesheet" href="style.css">
          <meta charset="UTF-8">
        </head>';

echo "<a href='points.php'>Retour à l'accueil</a>";

echo "<h1>Fin de la modification</h1>";
foreach ($data as $key => $value) {

	$strKey = strval($key);
	$strVal = strval($value);

	
	$infosQu = explode("_", $strKey);

	$rq = "UPDATE {$infosQu[0]} SET {$infosQu[1]}='{$strVal}' WHERE id={$id}";	
	mysql_query($rq);

	echo "Les données de {$infosQu[1]} dans {$infosQu[0]} ont été modifiées pour le points d'ID {$id}";
	echo "</br>";
}